Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_POSIX_Asynch_Write_File_Result Class Reference

This class provides implementation for <ACE_Asynch_Write_File_Result> for POSIX platforms. More...

`#include <POSIX_Asynch_IO.h>`

Inheritance diagram for ACE_POSIX_Asynch_Write_File_Result:

[legend]
Collaboration diagram for ACE_POSIX_Asynch_Write_File_Result:

[legend]
List of all members.

## Protected Methods
| ACE_POSIX_Asynch_Write_File_Result (ACE_Handler &handler, ACE_HANDLE handle, ACE_Message_Block &message_block, size_t bytes_to_write, const void *act, u_long offset, u_long offset_high, ACE_HANDLE event, int priority, int signal_number)
| Constructor is protected since creation is limited to ACE_Asynch_Write_File factory. More...
virtual void | complete (size_t bytes_transferred, int success, const void *completion_key, u_long error)
| ACE_Proactor will call this method when the write completes. More...
virtual | ~ACE_POSIX_Asynch_Write_File_Result (void)
| Destructor. More...
## Friends
class | ACE_POSIX_Asynch_Write_File
| Factory classes will have special permissions. More...
class | ACE_POSIX_Proactor
| The Proactor constructs the Result class for faking results. More...

## Detailed Description

This class provides implementation for <ACE_Asynch_Write_File_Result> for POSIX platforms.

This class has all the information necessary for the <handler> to uniquiely identify the completion of the asynchronous write.

This class differs slightly from <ACE_Asynch_Write_Stream::Result> as it calls back <ACE_Handler::handle_write_file> on the <handler> instead of <ACE_Handler::handle_write_stream>. No additional state is required by this class as <ACE_Asynch_Result> can store the <offset>.

## Constructor & Destructor Documentation

ACE_POSIX_Asynch_Write_File_Result::ACE_POSIX_Asynch_Write_File_Result | ( | ACE_Handler & | handler,
|  | ACE_HANDLE | handle,
|  | ACE_Message_Block & | message_block,
|  | size_t | bytes_to_write,
|  | const void * | act,
|  | u_long | offset,
|  | u_long | offset_high,
|  | ACE_HANDLE | event,
|  | int | priority,
|  | int | signal_number
| ) | `[protected]`

| Constructor is protected since creation is limited to ACE_Asynch_Write_File factory.

ACE_POSIX_Asynch_Write_File_Result::~ACE_POSIX_Asynch_Write_File_Result | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void ACE_POSIX_Asynch_Write_File_Result::complete | ( | size_t | bytes_transferred,
|  | int | success,
|  | const void * | completion_key,
|  | u_long | error
| ) | `[protected, virtual]`

| ACE_Proactor will call this method when the write completes. Reimplemented from ACE_POSIX_Asynch_Write_Stream_Result.

## Friends And Related Function Documentation

friend class ACE_POSIX_Asynch_Write_File`[friend]`

| Factory classes will have special permissions.

friend class ACE_POSIX_Proactor`[friend]`

| The Proactor constructs the Result class for faking results. Reimplemented from ACE_POSIX_Asynch_Write_Stream_Result.

The documentation for this class was generated from the following files:

- POSIX_Asynch_IO.h
- POSIX_Asynch_IO.cpp